stations.dual_register_recipe('woodworking', {
   input = {
      ['default:coral_skeleton'] = 1,
   },
   output = 'furniture:sanding',
})

stations.dual_register_recipe('woodworking', {
   input = {
      ['group:wood'] = 1,
   },
   output = 'furniture:wheel',
})

stations.dual_register_recipe('woodworking', {
   input = {
      ['group:tree'] = 1,
      ['group:stick'] = 1,
   },
   output = 'furniture:stool_short',
})

stations.dual_register_recipe('woodworking', {
   input = {
      ['group:tree'] = 1,
      ['group:stick'] = 2,
   },
   output = 'furniture:stool_tall',
})

stations.dual_register_recipe('woodworking', {
   input = {
      ['group:wood'] = 2,
      ['group:stick'] = 4,
   },
   output = 'furniture:chair',
})

stations.dual_register_recipe('woodworking', {
   input = {
      ['group:wood'] = 6,
      ['furniture:hinge'] = 2,
      ['furniture:lock'] = 1,
   },
   output = 'furniture:chest_small',
})

stations.dual_register_recipe('woodworking', {
   input = {
      ['group:wood'] = 10,
      ['furniture:hinge'] = 2,
      ['furniture:lock'] = 1,
   },
   output = 'furniture:chest',
})

stations.dual_register_recipe('woodworking', {
   input = {
      ['group:wood'] = 14,
      ['furniture:hinge'] = 3,
      ['furniture:lock'] = 2,
   },
   output = 'furniture:chest_large',
})

stations.dual_register_recipe('woodworking', {
   input = {
      ['group:wood'] = 4,
      ['group:stick'] = 4,
   },
   output = 'furniture:bench',
})

stations.dual_register_recipe('woodworking', {
   input = {
      ['group:wood'] = 6,
      ['group:stick'] = 4,
   },
   output = 'furniture:bench_with_back',
})

stations.dual_register_recipe('woodworking', {
   input = {
      ['group:wood'] = 12,
      ['group:stick'] = 8,
   },
   output = 'furniture:bench_picnic',
})

stations.dual_register_recipe('woodworking', {
   input = {
      ['group:wood'] = 5,
   },
   output = 'furniture:cabinet_counter',
})

stations.dual_register_recipe('woodworking', {
   input = {
      ['group:wood'] = 4,
   },
   output = 'furniture:cabinet_wall',
})

stations.dual_register_recipe('woodworking', {
   input = {
      ['group:wood'] = 2,
      ['group:stick'] = 8,
   },
   output = 'furniture:table_basic',
})

stations.dual_register_recipe('woodworking', {
   input = {
      ['group:wood'] = 2,
      ['default:book'] = 1,
   },
   output = 'furniture:lectern',
})

stations.dual_register_recipe('woodworking', {
   input = {
      ['group:wood'] = 1,
   },
   output = 'furniture:fence_1_a',
})

stations.dual_register_recipe('woodworking', {
   input = {
      ['group:wood'] = 1,
   },
   output = 'furniture:fence_1_b',
})

stations.dual_register_recipe('woodworking', {
   input = {
      ['group:wood'] = 1,
   },
   output = 'furniture:fence_1_c',
})

stations.dual_register_recipe('woodworking', {
   input = {
      ['group:wood'] = 2,
   },
   output = 'furniture:fence_1_e',
})


local colors = {
   'grey', 'dark_grey', 'black', 'violet', 'blue', 'cyan', 'dark_green', 'green',
   'yellow', 'brown', 'orange', 'red', 'magenta', 'pink', 'white'
}

for i = 1,15 do

   stations.dual_register_recipe('woodworking', {
      input = {
         ['group:tree'] = 1,
         ['group:stick'] = 2,
         ['furniture:cushion_'..(colors[i])] = 1,
      },
      output = 'furniture:stool_tall_'..(colors[i]),
   })

   stations.dual_register_recipe('woodworking', {
      input = {
         ['group:tree'] = 1,
         ['group:stick'] = 2,
         ['furniture:cushion_'..(colors[i])] = 1,
      },
      output = 'furniture:stool_short_'..(colors[i]),
   })

   stations.dual_register_recipe('woodworking', {
      input = {
         ['group:wood'] = 2,
         ['group:stick'] = 4,
         ['furniture:cushion_'..(colors[i])] = 1,
      },
      output = 'furniture:chair_'..(colors[i]),
   })

   stations.dual_register_recipe('woodworking', {
      input = {
         ['group:wood'] = 4,
         ['ropes:ropesegment'] = 3,
         ['group:wool'] = 1,
         ['furniture:fabric_'..(colors[i])] = 3,
      },
      output = 'furniture:bed1_'..(colors[i]),
   })

   stations.dual_register_recipe('woodworking', {
      input = {
         ['group:wood'] = 4,
         ['ropes:ropesegment'] = 3,
         ['farming:straw'] = 1,
         ['furniture:fabric_'..(colors[i])] = 3,
      },
      output = 'furniture:bed1_'..(colors[i]),
   })
end

stations.dual_register_recipe('woodworking', {
   input = {
      ['group:wood'] = 4,
      ['ropes:ropesegment'] = 3,
      ['group:wool'] = 1,
      ['group:fabric'] = 3,
   },
   output = 'beds:bed_bottom',
})

stations.dual_register_recipe('woodworking', {
   input = {
      ['group:wood'] = 4,
      ['ropes:ropesegment'] = 3,
      ['group:wool'] = 1,
      ['group:fabric'] = 3,
   },
   output = 'beds:fancy_bed_bottom',
})

stations.dual_register_recipe('woodworking', {
   input = {
      ['group:wood'] = 4,
      ['ropes:ropesegment'] = 3,
      ['farming:straw'] = 1,
      ['group:fabric'] = 3,
   },
   output = 'beds:bed_bottom',
})

stations.dual_register_recipe('woodworking', {
   input = {
      ['group:wood'] = 4,
      ['ropes:ropesegment'] = 3,
      ['farming:straw'] = 1,
      ['group:fabric'] = 3,
   },
   output = 'beds:fancy_bed_bottom',
})
